#delimit ;
capture log close;
log using c:\data\bulg\skouf97\log\clcexptd,replace;
*************************************************************;
*                                                           *;
*    Name    : CLCEXPTD.DO              V : 01              *;
*    Date    : June 2,1998                                  *;
*    Infile  : HHEXPTLS, ADJUSTR                            *;
*    Outfile : HHEXPTLD                                     *;
*    Author  : C. del Ninno /M Murthi                       *;
*                                                           *;
*    OBJECTIVE: Get the total variables for the tl file     *;
*               that was seasonally adjusted and adjusted   *;
*               for inflation and regionally deflated       *;
*************************************************************;
set more 1;
clear;



use hhexptls;
sort hhnum;
merge hhnum using adjustr;
drop _merge;

*** Use the regional deflators to get the total deflated expenditures
    Note that regional price deflators were calculted separatly 
    look for details in file CLCEXP8a and CLCEXP8b
;

gen exptotd=exptot/pr_defl;
lab var exptotd "Exp - Total Month Hh - Deflated";

** CLEAN UP AND SAVE THE FILE
;
keep hhnum exp*;

lab data "Total Adjusted Expenditure:deflated";

sort hhnum;
save hhexptld, old replace;


log close;
