#delimit ;
log using c:\data\bulg\skouf97\log\mkgitem,replace;
*************************************************************;
*                                                           *;
*    Name    : MKGITEM.DO               V : 01              *;
*    Date    : May 22,1998                                  *;
*    Infile  : NONE                                         *;
*    Outfile : GITEMF, GITEMNF1, GITEMNF2                   *;
*    Author  : C. del Ninno/Mamta Murthi                    *;
*                                                           *;
*    OBJECTIVE: Create group categories for food and        *;   
*               non food items using BIHS 1997              *;
*                                                           *;
*************************************************************;
clear;

** Create group categories for Food Items
;
input g_item item str8 ditem;
1 101 "MAIZE FL";  
1 102 "WHEAT FL";  
1 103 "BREAD   "; 
1 104 "PASTA   "; 
1 105 "RICE    ";
1 106 "OTHER GR";  
2 201 "BEANS   "; 
2 202 "POTATOES";  
2 203 "CARROTS "; 
2 204 "LENTILS "; 
2 205 "SWT PEAS";  
2 206 "OTHER   "; 
2 301 "TOMATOES";  
2 302 "EGGPLANT";  
2 303 "ONIONS  "; 
2 304 "SQUASH  "; 
2 305 "LEAFY VE";  
2 306 "PEPPERS "; 
2 307 "CABBAGE "; 
2 308 "CUCUMBER";  
2 309 "OTH VEGE";  
3 401 "ORANGES ";
3 402 "APPLES  "; 
3 403 "PEARS   "; 
3 404 "BANANAS "; 
3 405 "NUTS    ";
3 406 "GRAPES  "; 
3 407 "WATERMEL";  
3 408 "MELON   "; 
3 409 "STRAWBER";  
3 410 "CHERRIES";  
3 411 "OTHER FR";  
2 501 "CAN VEGE";  
3 502 "CAN FRUI";  
3 503 "JAMS    ";
3 504 "HONEY   "; 
3 505 "OTHER   "; 
4 601 "VEAL AND";  
4 602 "PORK    ";
4 603 "LAMB    ";
4 604 "CHICKEN/";  
4 605 "SAUSAGES";  
5 606 "EGGS    ";
4 607 "BACON   "; 
4 608 "CAN.MEAT";  
4 609 "GRND.MEA";  
4 610 "OTH MEAT";  
4 701 "FRSH FIS";  
4 702 "FROZ.FIS";  
4 703 "CAN.FISH";  
5 801 "FRSH MLK";  
5 802 "WHTE CHE";  
5 803 "YELL CHE";  
5 804 "YOGURT  "; 
5 805 "POWD MIL";  
5 806 "OTHR MIL";  
6 901 "BUTTER  "; 
6 902 "MARGARIN";  
6 903 "LARD    ";
6 904 "OLIVE OI";  
6 905 "VEG OIL ";
6 906 "OTH OILS";  
8 1101 "SALT    ";
7 1102 "SUGAR   ";  
8 1103 "SPICES  "; 
8 1104 "COFFEE  "; 
8 1105 "TEA     ";
8 1106 "OTH COND";  
8 1201 "SOFT DRI";  
8 1202 "FRUIT JU";  
8 1203 "WATER   ";  
9 1204 "WINE    ";
9 1205 "BEER    ";
9 1206 "BULG LIQ";  
9 1207 "HARD LIQ";  
8 1208 "OTH DRIN";  
8 1301 "PRE FD_H";  
8 1302 "PRE FD_A";  
end;

lab def g_item
    1 "Cereal"
    2 "Veget."
    3 "Fruit "
    4 "Meat F"
    5 "Dairy "
    6 "Fats  "
    7 "Sugar "
    8 "O Food"
    9 "Alcoh ";

lab val g_item g_item;
sort item;
save gitemf,replace;

** Create group categories for Non Food Items - Monthly Expenditures
;
clear;
input g_item item str8 ditem;
  
21 101 "CIGARETT";  
22 102 "CULTU.AC";  
23 103 "TOIL.SOA";  
23 104 "LUX.SOAP";  
23 105 "SHAMPOO ";
23 106 "CONDITIO";  
23 107 "SHAMPOO ";
23 108 "BODY CRE";  
23 109 "LOTION  ";
23 110 "FACE CRE";  
23 111 "CLNS.CRE";  
23 112 "DEODORAN";  
23 113 "T. PASTE";  
23 114 "HAIR CUT";  
23 115 "HYGIE.SE";  
22 116 "BOOKS   ";
22 117 "NEWSPAPE";  
22 118 "STATIONE";  
22 119 "MAIL SER";  
25 201 "GAS AND ";
26 202 "CAR SERV";  
26 203 "TAXI    ";
26 204 "TRAM AND";  
26 205 "TRAINS-O";  
24 301 "PURCH.WA";  
24 302 "HOMEMD S";  
24 303 "WSHNG PO";  
24 304 "BLEACH B";  
24 305 "DSHWSH S";  
24 306 "OT WSG S";  
24 307 "OTH CLEA";  
23 308 "MEM.FEES";  
27 309 "BABYSITT";  
27 310 "PET FOOD";  
27 311 "OTH MONT";  
end;                

lab def g_item
            21 "Tobacc"
            22 "Entert"
            23 "Person"
            24 "Clean "
            25 "Gasoli"
            26 "O.Tran"
            27 "O NonF";

lab val g_item g_item;
sort item;
save gitemnf1,replace;

** Create group categories for Non Food Items - Yearly expenditure
;
clear;
input g_item item str8 ditem;

31 201 "COTTON  "; 
31 202 "WOOL    ";
31 203 "SILK    ";  
31 204 "SYNTHETI";  
31 301 "MEN CLOT";  
31 302 "WOMEN CL";  
31 303 "CHILD.CL";  
31 401 "MEN SHOE";  
31 402 "WOMEN SH";  
31 403 "CHILD.SH";  
34 501 "KITCH EQ";  
38 502 "HOME REP";  
33 503 "FURNITUR";  
33 504 "BEDDING/";  
33 505 "OTHERS  ";  
32 601 "DENTIST ";  
32 602 "DOCTOR  ";  
32 603 "HOSPITAL";  
32 604 "MEDICINE";  
32 605 "OPTICS  ";  
32 606 "COSMETIC";  
32 607 "OTH HEAL";  
35 701 "HOLIDAYS";  
35 702 "JEWELRIE";  
36 703 "OBL.INSU";  
36 704 "VOL.INSU";  
37 705 "SAVINGS ";  
end;

lab def g_item
            31 "Cloth " 
            32 "Health"
            33 "Furni "
            34 "Applie"
            35 "Enter."
            36 "Insur."
            37 "Saving"
            38 "Repair";

lab val g_item g_item;
sort item;
save gitemnf2.dta,replace;

log close;
